commit:     346db5ecbe49996e009e8de2ddf549ceb0e2c541
Author:     Lars Wendler <polynomial-c <AT> gentoo <DOT> org>
AuthorDate: Thu Jul 15 08:58:29 2021 +0000
Commit:     Lars Wendler <polynomial-c <AT> gentoo <DOT> org>
CommitDate: Thu Jul 15 09:49:10 2021 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=346db5ec

sys-libs/tdb: Bump to version 1.4.4

Signed-off-by: Lars Wendler <polynomial-c <AT> gentoo.org>

 sys-libs/tdb/Manifest         |  1 +
 sys-libs/tdb/tdb-1.4.4.ebuild | 62 +++++++++++++++++++++++++++++++++++++++++++
 2 files changed, 63 insertions(+)

diff --git a/sys-libs/tdb/Manifest b/sys-libs/tdb/Manifest
index 258c1460e7b..225967fb158 100644
--- a/sys-libs/tdb/Manifest
+++ b/sys-libs/tdb/Manifest
@@ -1 +1,2 @@
 DIST tdb-1.4.3.tar.gz 702836 BLAKE2B 
6593c3be527b383a7e8fd85b3613cf2429f6b665a7c609a56f57a6f5b41a080c1a681d712afd423c2bc1c741e06d7cd2c90949d9c5bf78ca834b18c64e23d51c
 SHA512 
99488839e7da396f04df60412d21a7d3e09efeab52772d6cb5e9470a3dfd585d73ef2422c51cd0d8ccc123a65d455de400d5d6b24a21a2a50d3da60d9a70e67a
+DIST tdb-1.4.4.tar.gz 714367 BLAKE2B 
fdd84fc76a428b3b98ca481a9ef42c46d21f67f6ca8d92a90e6f0c1d24aa8f1f3b773c8fdcb43b572f8a1441349af491cb5d4ad9440d0b95fb51b89591510e27
 SHA512 
ef0a997aacebcc804e84ec4a14de8189513ddd1083ba677e421269c21a94f5ca8fc188185645855e5ef81417f4843c8649417ff28f286b768d690907d5d4cb07

diff --git a/sys-libs/tdb/tdb-1.4.4.ebuild b/sys-libs/tdb/tdb-1.4.4.ebuild
new file mode 100644
index 00000000000..c91a2b724ca
--- /dev/null
+++ b/sys-libs/tdb/tdb-1.4.4.ebuild
@@ -0,0 +1,62 @@
+# Copyright 1999-2021 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+
+PYTHON_COMPAT=( python3_{7..9} )
+PYTHON_REQ_USE="threads(+)"
+inherit waf-utils multilib-minimal python-single-r1
+
+DESCRIPTION="Simple database API"
+HOMEPAGE="https://tdb.samba.org/";
+SRC_URI="https://samba.org/ftp/tdb/${P}.tar.gz";
+
+LICENSE="GPL-3"
+SLOT="0"
+KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~ia64 ~mips ~ppc ~ppc64 ~s390 ~sparc 
~x86 ~amd64-linux ~x86-linux"
+IUSE="python"
+
+REQUIRED_USE="${PYTHON_REQUIRED_USE}"
+RESTRICT="test"
+
+RDEPEND="
+       !elibc_FreeBSD? ( dev-libs/libbsd[${MULTILIB_USEDEP}] )
+       python? ( ${PYTHON_DEPS} )
+"
+DEPEND="${RDEPEND}"
+BDEPEND="${PYTHON_DEPS}
+       app-text/docbook-xml-dtd:4.2
+"
+
+WAF_BINARY="${S}/buildtools/bin/waf"
+
+src_prepare() {
+       default
+       python_fix_shebang .
+       multilib_copy_sources
+}
+
+multilib_src_configure() {
+       local extra_opts=()
+       if ! multilib_is_native_abi || ! use python ; then
+               extra_opts+=( --disable-python )
+       fi
+
+       waf-utils_src_configure "${extra_opts[@]}"
+}
+
+multilib_src_compile() {
+       # need to avoid parallel building, this looks like the sanest way with 
waf-utils/multiprocessing eclasses
+       unset MAKEOPTS
+       waf-utils_src_compile
+}
+
+multilib_src_test() {
+       # the default src_test runs 'make test' and 'make check', letting
+       # the tests fail occasionally (reason: unknown)
+       emake check
+}
+
+multilib_src_install() {
+       waf-utils_src_install
+}

Reply via email to